From: "Alexandre Restovtsev" <tetromino@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: dev-util/gdbus-codegen/
Date: Sat, 31 Dec 2011 03:12:16 +0000 (UTC) [thread overview]
Message-ID: <1acdb5df5c14fbe284607cc34c4a5eabe8de7cb3.tetromino@gentoo> (raw)
commit: 1acdb5df5c14fbe284607cc34c4a5eabe8de7cb3
Author: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 31 03:11:45 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Sat Dec 31 03:11:45 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=1acdb5df
dev-util/gdbus-codegen: add 2.31.6
---
dev-util/gdbus-codegen/gdbus-codegen-2.31.6.ebuild | 70 ++++++++++++++++++++
1 files changed, 70 insertions(+), 0 deletions(-)
diff --git a/dev-util/gdbus-codegen/gdbus-codegen-2.31.6.ebuild b/dev-util/gdbus-codegen/gdbus-codegen-2.31.6.ebuild
new file mode 100644
index 0000000..25622a9
--- /dev/null
+++ b/dev-util/gdbus-codegen/gdbus-codegen-2.31.6.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/gdbus-codegen/gdbus-codegen-2.30.2.ebuild,v 1.3 2011/12/29 17:36:36 pacho Exp $
+
+EAPI="4"
+GNOME_ORG_MODULE="glib"
+PYTHON_DEPEND="2:2.5"
+PYTHON_USE_WITH="xml"
+
+inherit gnome.org multilib python
+
+DESCRIPTION="GDBus code and documentation generator"
+HOMEPAGE="http://www.gtk.org/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-linux"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+# To prevent circular dependencies with glib[test]
+PDEPEND=">=dev-libs/glib-${PV}:2"
+
+S="${WORKDIR}/glib-${PV}/gio/gdbus-2.0/codegen"
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ python_convert_shebangs 2 gdbus-codegen.in
+ sed -e "s:@libdir@:${EPREFIX}/usr/$(get_libdir):" \
+ -i gdbus-codegen.in || die "sed gdbus-codegen.in failed"
+ sed -e "s:\"/usr/local\":\"${EPREFIX}/usr\":" \
+ -i config.py || die "sed config.py failed"
+}
+
+src_test() {
+ elog "Skipping tests. To test ${PN}, emerge dev-libs/glib"
+ elog "with FEATURES=test"
+}
+
+src_install() {
+ insinto "/usr/$(get_libdir)/gdbus-2.0/codegen"
+
+ # Keep in sync with Makefile.am!
+ doins __init__.py \
+ codegen.py \
+ codegen_main.py \
+ codegen_docbook.py \
+ config.py \
+ dbustypes.py \
+ parser.py \
+ utils.py
+
+ newbin gdbus-codegen.in gdbus-codegen
+
+ doman "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
+
+pkg_postinst() {
+ python_need_rebuild
+ python_mod_optimize /usr/$(get_libdir)/gdbus-2.0/codegen
+}
+
+pkg_postrm() {
+ python_mod_cleanup /usr/$(get_libdir)/gdbus-2.0/codegen
+}
next reply other threads:[~2011-12-31 3:12 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-12-31 3:12 Alexandre Restovtsev [this message]
-- strict thread matches above, loose matches on Subject: below --
2012-01-16 3:43 [gentoo-commits] proj/gnome:master commit in: dev-util/gdbus-codegen/ Nirbheek Chauhan
2012-01-18 7:20 Alexandre Restovtsev
2012-01-22 10:09 Priit Laes
2012-02-03 8:32 Priit Laes
2012-02-05 9:18 Priit Laes
2012-03-06 23:29 Alexandre Restovtsev
2012-03-21 18:27 Alexandre Restovtsev
2012-03-24 21:04 Alexandre Restovtsev
2012-07-03 11:10 Priit Laes
2012-07-21 20:07 Alexandre Restovtsev
2012-08-24 18:14 Priit Laes
2012-09-15 4:01 Alexandre Rostovtsev
2012-09-25 15:46 Alexandre Rostovtsev
2012-10-04 0:00 Alexandre Rostovtsev
2012-12-20 19:42 Gilles Dartiguelongue
2013-12-24 16:56 Gilles Dartiguelongue
2014-11-24 19:42 Gilles Dartiguelongue
2014-12-14 22:46 Gilles Dartiguelongue
2015-04-18 9:00 Ole Reifschneider
2015-05-14 13:39 Gilles Dartiguelongue
2015-09-13 22:03 Ole Reifschneider
2015-09-21 21:55 Remi Cardona
2018-01-12 11:33 Dennis Lamm
2018-08-20 8:33 Mart Raudsepp
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1acdb5df5c14fbe284607cc34c4a5eabe8de7cb3.tetromino@gentoo \
--to=tetromino@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox